# HFF Entry Forms - DevOps

## System Components

* DNS - managed by AWS
* API Server - hosted on `sobeck.jdb-software.com`
* API Loadbalancer - using the main load balancer for JDB Software
* Web App - Served by CloudFront from an S3 bucket managed by JDB Software
* Certificates - Manually created and validated for \*.HFF.com
* Notion Integration - defined in Notion, token provided via the environment
  specific config files at `/etc/hff_entry_forms/{dev,prod}.env` and passed
  into the docker container at runtime ad defined in the SystemD service file
  (see `api/hff_entry_forms_api.service`)
